import type { ICache, ICacheConfig, ICacheMap } from './deckCacheFactory';
export declare abstract class AbstractBaseCache {
    protected caches: ICacheMap;
    abstract getNamespace(): string;
    abstract clearCache(key: string): void;
    createCache(key: string, config: ICacheConfig): ICache;
    get(key: string): ICache;
    clearCaches(): void;
    destroyCaches(): void;
}
